<template>
    <div class="container">
        <app-header :itemCount="items.length" :maxItem="maxItem"></app-header>
        <app-new-item @itemAdded="addItem" :items="items"></app-new-item>
        <app-items-layout :items="items" @itemRemoved="removeItem"></app-items-layout>
        <div class="row mt-3">
            <div class="col-sm-12 text-center">
                <div class="alert alert-info">
                    Info: Click on a Item to detele it!
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import ItemsLayout from './components/ItemsLayout.vue';
import NewItem from './components/NewItem.vue';
import Header from './components/Header.vue'
export default {
    data: function(){
        return {    
            items: [
                
            ],
            maxItem: 10
        }
    },
    components: {
        appItemsLayout: ItemsLayout,
        appNewItem : NewItem,
        appHeader : Header,
    },
    methods: {
        addItem(item) {
            if (this.items.length >= this.maxItem) {
                return alert('Please remove item first!');
            }
            this.items.push(item);
        },
        removeItem(index) {
            this.items.splice(index, 1);
        }
    }


}
</script>

<style>

</style>
